Core - Bug # 52437

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Ernesto Baschny Category: Install Tool
Created: 2013-10-01 Assigned To: Ernesto Baschny
Updated: 2013-10-02 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Don't write LocalConfiguration on every Install Tool entry

Description

Silent Updater "removeObsoleteLocalConfigurationSettings" will always kick in and save the current LocalConfiguration even if
nothing has to be changed.

If you have a non-writeable LocalConfiguration.php you will then end up in an Exception in this step already, without the installer
having a chance to kick in and handle it in a more "gentle" way (needs improvements too, will need some further issues).

Associated revisions

Revision 1c434913 - 2013-10-01 18:22 - Ernesto Baschny

[BUGFIX] Don't write LocalConfiguration on every Install Tool entry

Make removeObsoleteLocalConfigurationSettings only rewrite the
file if something has changed.

Resolves: #52437

Releases: 6.2

Change-Id: 1014fa04659d1ca8435d576c85ab039a9ee0bf92b
Reviewed-on: https://review.typo3.org/24221

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2013-10-01 17:02 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24221

#2 - 2013-10-01 17:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24221

#3 - 2013-10-01 18:30 - Ernesto Baschny
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:1c434913e165a3dea1501716d2d58a49615ch8cf.

#4 - 2013-10-02 00:10 - Christian Kuhn
- Parent task set to #49162
